> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesask.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test webhook

> POSTs a test payload to the given URL using the provided recording.



## OpenAPI

````yaml /openapi.json post /v1/webhooks/test
openapi: 3.1.0
info:
  title: Sales Ask API
  version: 1.0.0
  description: >-
    Public API for integrating with Sales Ask. Authenticate every request using
    your organization API key in the x-api-key header. To generate an API key,
    call POST /organizations/:organizationId/api-key while authenticated as an
    organization admin.
servers:
  - url: https://integrations.salesask.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/webhooks/test:
    post:
      tags:
        - Webhooks
      summary: Send a test webhook
      description: POSTs a test payload to the given URL using the provided recording.
      operationId: testWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - recording
              properties:
                url:
                  type: string
                  format: uri
                recording:
                  $ref: '#/components/schemas/Recording'
      responses:
        '200':
          description: Test webhook sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Success
        '400':
          description: Recording must have status processed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Recording:
      type: object
      properties:
        id:
          type: string
          example: abc123
        name:
          type: string
          nullable: true
          example: Call with John Doe
        status:
          type: string
          enum:
            - processing
            - processed
            - processing-failed
          example: processed
        organizationId:
          type: string
          example: org_abc
        createdAt:
          type: string
          format: date-time
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
        duration:
          type: integer
          nullable: true
          description: Duration in milliseconds
          example: 1800000
        summary:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        actionItems:
          nullable: true
        coaching:
          nullable: true
        tags:
          type: array
          nullable: true
          items:
            type: string
        recording:
          type: string
          format: uri
          example: https://integrations.salesask.com/meetings/abc123
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````